package objects;

public class HorseRaceData {

	private String trackName;
	private String raceDate;
	private int horseId;
	private String horseName;
	private int raceNumber;
	private int lane;
	private int distance;
	private int result;
	private float time;
	private String timeModifier;
	private int Shoes;
	private int Sulky;
	private int trainerId;
	private int driverId;
	private String trainerName;
	private String driverName;
	private float laneWin;

	private float avgHorseTime;
	private float avgDriverTime;
	private float avgHorseTimeByDistance;
	private float avgDriverTimeByDistance;
	private float avgHorseTimeByDistanceAndType;
	private float avgDriverTimeByDistanceAndType;

	private float timeToHorseBehindPrevCalculation;
	private float timeToHorseBehindCalculation;

	private int avgHorseTimeCount;
	private int avgDriverTimeCount;
	private int avgHorseTimeByDistanceCount;
	private int avgDriverTimeByDistanceCount;
	private int avgHorseTimeByDistanceAndTypeCount;
	private int avgDriverTimeByDistanceAndTypeCount;



	public String getTrackName() {
		return trackName;
	}
	public String getRaceDate() {
		return raceDate;
	}
	public int getRaceNumber() {
		return raceNumber;
	}
	public int getLane() {
		return lane;
	}
	public int getDistance() {
		return distance;
	}
	public int getResult() {
		return result;
	}
	public float getTime() {
		return time;
	}
	public String getTimeModifier() {
		return timeModifier;
	}
	public int getShoes() {
		return Shoes;
	}
	public int getSulky() {
		return Sulky;
	}
	public int getTrainerId() {
		return trainerId;
	}
	public int getDriverId() {
		return driverId;
	}
	public String getTrainerName() {
		return trainerName;
	}
	public String getDriverName() {
		return driverName;
	}
	public void setTrackName(String trackName) {
		this.trackName = trackName;
	}
	public void setRaceDate(String raceDate) {
		this.raceDate = raceDate;
	}
	public void setRaceNumber(int raceNumber) {
		this.raceNumber = raceNumber;
	}
	public void setLane(int lane) {
		this.lane = lane;
	}
	public void setDistance(int distance) {
		this.distance = distance;
	}
	public void setResult(int result) {
		this.result = result;
	}
	public void setTime(float time) {
		this.time = time;
	}
	public void setTimeModifier(String timeModifier) {
		this.timeModifier = timeModifier;
	}
	public void setShoes(int shoes) {
		Shoes = shoes;
	}
	public void setSulky(int sulky) {
		Sulky = sulky;
	}
	public void setTrainerId(int trainerId) {
		this.trainerId = trainerId;
	}
	public void setDriverId(int driverId) {
		this.driverId = driverId;
	}
	public void setTrainerName(String trainerName) {
		this.trainerName = trainerName;
	}
	public void setDriverName(String driverName) {
		this.driverName = driverName;
	}
	public String getHorseName() {
		return horseName;
	}
	public void setHorseName(String horseName) {
		this.horseName = horseName;
	}
	public int getHorseId() {
		return horseId;
	}
	public void setHorseId(int horseId) {
		this.horseId = horseId;
	}
	public float getAvgHorseTime() {
		return avgHorseTime;
	}
	public float getAvgDriverTime() {
		return avgDriverTime;
	}
	public void setAvgHorseTime(float avgHorseTime, int count) {
		this.avgHorseTime = avgHorseTime;
		this.avgHorseTimeCount = count;
	}
	public void setAvgDriverTime(float avgDriverTime, int count) {
		this.avgDriverTime = avgDriverTime;
		this.avgDriverTimeCount = count;
	}
	public float getAvgHorseTimeByDistance() {
		return avgHorseTimeByDistance;
	}
	public float getAvgDriverTimeByDistance() {
		return avgDriverTimeByDistance;
	}
	public float getAvgHorseTimeByDistanceAndType() {
		return avgHorseTimeByDistanceAndType;
	}
	public float getAvgDriverTimeByDistanceAndType() {
		return avgDriverTimeByDistanceAndType;
	}
	public void setAvgHorseTimeByDistance(float avgHorseTimeByDistance, int count) {
		this.avgHorseTimeByDistance = avgHorseTimeByDistance;
		this.avgHorseTimeByDistanceCount = count;
	}
	public void setAvgDriverTimeByDistance(float avgDriverTimeByDistance, int count) {
		this.avgDriverTimeByDistance = avgDriverTimeByDistance;
		this.avgDriverTimeByDistanceCount = count;
	}
	public void setAvgHorseTimeByDistanceAndType(float avgHorseTimeByDistanceAndType, int count) {
		this.avgHorseTimeByDistanceAndType = avgHorseTimeByDistanceAndType;
		this.avgHorseTimeByDistanceAndTypeCount = count;
	}
	public void setAvgDriverTimeByDistanceAndType(float avgDriverTimeByDistanceAndType, int count) {
		this.avgDriverTimeByDistanceAndType = avgDriverTimeByDistanceAndType;
		this.avgDriverTimeByDistanceAndTypeCount = count;
	}
	public int getAvgHorseTimeCount() {
		return avgHorseTimeCount;
	}
	public int getAvgDriverTimeCount() {
		return avgDriverTimeCount;
	}
	public int getAvgHorseTimeByDistanceCount() {
		return avgHorseTimeByDistanceCount;
	}
	public int getAvgDriverTimeByDistanceCount() {
		return avgDriverTimeByDistanceCount;
	}
	public int getAvgHorseTimeByDistanceAndTypeCount() {
		return avgHorseTimeByDistanceAndTypeCount;
	}
	public int getAvgDriverTimeByDistanceAndTypeCount() {
		return avgDriverTimeByDistanceAndTypeCount;
	}
	public void setTimeToHorseBehindPrevCalculation(float value) {
		timeToHorseBehindPrevCalculation = value;
	}
	public float getTimeToHorseBehindPrevCalculation() {
		return timeToHorseBehindPrevCalculation;
	}
	public void setTimeToHorseBehindCalculation(float value) {
		timeToHorseBehindCalculation = value;
	}
	public float getTimeToHorseBehindCalculation() {
		return timeToHorseBehindCalculation;
	}
	public float getLaneWin() {
		return laneWin;
	}
	public void setLaneWin(float laneWin) {
		this.laneWin = laneWin;
	}
}
